# HG changeset patch
# Node ID 97197e07bcc4
# Parent  9a3485b096c8
diff --git a/pidgin/prefs/pidginconversationprefs.c b/pidgin/prefs/pidginconversationprefs.c
--- a/pidgin/prefs/pidginconversationprefs.c
+++ b/pidgin/prefs/pidginconversationprefs.c
@@ -38,7 +38,6 @@ struct _PidginConversationPrefs {
 		GtkWidget *send_typing;
 	} im;
 	struct {
-		GtkWidget *blink_im_row;
 		GtkWidget *blink_im;
 	} win32;
 	GtkWidget *minimum_entry_lines;
@@ -68,9 +67,6 @@ pidgin_conversation_prefs_class_init(Pid
 			im.send_typing);
 	gtk_widget_class_bind_template_child(
 			widget_class, PidginConversationPrefs,
-			win32.blink_im_row);
-	gtk_widget_class_bind_template_child(
-			widget_class, PidginConversationPrefs,
 			win32.blink_im);
 	gtk_widget_class_bind_template_child(
 			widget_class, PidginConversationPrefs,
@@ -100,7 +96,7 @@ pidgin_conversation_prefs_init(PidginCon
 	pidgin_prefs_bind_switch(PIDGIN_PREFS_ROOT "/win32/blink_im",
 	                         prefs->win32.blink_im);
 #else
-	gtk_widget_set_visible(prefs->win32.blink_im_row, FALSE);
+	gtk_widget_set_visible(prefs->win32.blink_im, FALSE);
 #endif
 
 	pidgin_prefs_bind_spin_button(
diff --git a/pidgin/prefs/pidginnetworkprefs.c b/pidgin/prefs/pidginnetworkprefs.c
--- a/pidgin/prefs/pidginnetworkprefs.c
+++ b/pidgin/prefs/pidginnetworkprefs.c
@@ -33,7 +33,6 @@ struct _PidginNetworkPrefs {
 	AdwPreferencesPage parent;
 
 	GtkWidget *stun_server;
-	GtkWidget *auto_ip_row;
 	GtkWidget *auto_ip;
 	GtkWidget *public_ip;
 	GtkWidget *map_ports;
@@ -91,7 +90,7 @@ auto_ip_button_clicked_cb(G_GNUC_UNUSED 
 	}
 
 	auto_ip_text = g_strdup_printf(_("Use _automatically detected IP address: %s"), ip);
-	adw_preferences_row_set_title(ADW_PREFERENCES_ROW(prefs->auto_ip_row),
+	adw_preferences_row_set_title(ADW_PREFERENCES_ROW(prefs->auto_ip),
 	                              auto_ip_text);
 	g_free(auto_ip_text);
 	g_list_free_full(list, g_free);
@@ -114,8 +113,6 @@ pidgin_network_prefs_class_init(PidginNe
 	gtk_widget_class_bind_template_child(widget_class, PidginNetworkPrefs,
 	                                     stun_server);
 	gtk_widget_class_bind_template_child(widget_class, PidginNetworkPrefs,
-	                                     auto_ip_row);
-	gtk_widget_class_bind_template_child(widget_class, PidginNetworkPrefs,
 	                                     auto_ip);
 	gtk_widget_class_bind_template_child(widget_class, PidginNetworkPrefs,
 	                                     public_ip);
diff --git a/pidgin/resources/Prefs/away.ui b/pidgin/resources/Prefs/away.ui
--- a/pidgin/resources/Prefs/away.ui
+++ b/pidgin/resources/Prefs/away.ui
@@ -127,16 +127,9 @@ along with this program; if not, see <ht
       <object class="AdwPreferencesGroup">
         <property name="title" translatable="1">Status at Startup</property>
         <child>
-          <object class="AdwActionRow">
-            <property name="activatable-widget">startup_current_status</property>
+          <object class="AdwSwitchRow" id="startup_current_status">
             <property name="title" translatable="1">Use status from last _exit at startup</property>
             <property name="use-underline">1</property>
-            <child>
-              <object class="GtkSwitch" id="startup_current_status">
-                <property name="focusable">1</property>
-                <property name="valign">center</property>
-              </object>
-            </child>
           </object>
         </child>
         <child>
diff --git a/pidgin/resources/Prefs/conversation.ui b/pidgin/resources/Prefs/conversation.ui
--- a/pidgin/resources/Prefs/conversation.ui
+++ b/pidgin/resources/Prefs/conversation.ui
@@ -36,42 +36,21 @@ along with this program; if not, see <ht
       <object class="AdwPreferencesGroup">
         <property name="title" translatable="1">Conversations</property>
         <child>
-          <object class="AdwActionRow">
-            <property name="activatable-widget">show_incoming_formatting</property>
+          <object class="AdwSwitchRow" id="show_incoming_formatting">
             <property name="title" translatable="1">Show _formatting on incoming messages</property>
             <property name="use-underline">1</property>
-            <child>
-              <object class="GtkSwitch" id="show_incoming_formatting">
-                <property name="focusable">1</property>
-                <property name="valign">center</property>
-              </object>
-            </child>
           </object>
         </child>
         <child>
-          <object class="AdwActionRow">
-            <property name="activatable-widget">im.send_typing</property>
+          <object class="AdwSwitchRow" id="im.send_typing">
             <property name="title" translatable="1">_Notify buddies that you are typing to them</property>
             <property name="use-underline">1</property>
-            <child>
-              <object class="GtkSwitch" id="im.send_typing">
-                <property name="focusable">1</property>
-                <property name="valign">center</property>
-              </object>
-            </child>
           </object>
         </child>
         <child>
-          <object class="AdwActionRow" id="win32.blink_im_row">
-            <property name="activatable-widget">win32.blink_im</property>
+          <object class="AdwSwitchRow" id="win32.blink_im">
             <property name="title" translatable="1">F_lash window when IMs are received</property>
             <property name="use-underline">1</property>
-            <child>
-              <object class="GtkSwitch" id="win32.blink_im">
-                <property name="focusable">1</property>
-                <property name="valign">center</property>
-              </object>
-            </child>
           </object>
         </child>
         <child>
diff --git a/pidgin/resources/Prefs/network.ui b/pidgin/resources/Prefs/network.ui
--- a/pidgin/resources/Prefs/network.ui
+++ b/pidgin/resources/Prefs/network.ui
@@ -45,18 +45,10 @@ along with this program; if not, see <ht
           </object>
         </child>
         <child>
-          <object class="AdwActionRow" id="auto_ip_row">
-            <property name="activatable-widget">auto_ip</property>
+          <object class="AdwSwitchRow" id="auto_ip">
             <property name="title" translatable="1">Use _automatically detected IP address</property>
             <property name="use-underline">1</property>
-            <property name="focusable">0</property>
-            <child>
-              <object class="GtkSwitch" id="auto_ip">
-                <property name="focusable">1</property>
-                <property name="valign">center</property>
-                <signal name="notify::active" handler="auto_ip_button_clicked_cb" after="yes" swapped="no"/>
-              </object>
-            </child>
+            <signal name="notify::active" handler="auto_ip_button_clicked_cb" after="yes" swapped="no"/>
           </object>
         </child>
         <child>
@@ -73,17 +65,9 @@ along with this program; if not, see <ht
       <object class="AdwPreferencesGroup">
         <property name="title" translatable="1">Ports</property>
         <child>
-          <object class="AdwActionRow">
-            <property name="activatable-widget">map_ports</property>
+          <object class="AdwSwitchRow" id="map_ports">
             <property name="title" translatable="1">_Enable automatic router port forwarding</property>
             <property name="use-underline">1</property>
-            <property name="focusable">0</property>
-            <child>
-              <object class="GtkSwitch" id="map_ports">
-                <property name="focusable">1</property>
-                <property name="valign">center</property>
-              </object>
-            </child>
           </object>
         </child>
         <child>
